> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Chat Message



## OpenAPI

````yaml /api-reference/openapi-filtered.json post /insight/{rec_id}/chat/
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /insight/{rec_id}/chat/:
    post:
      tags:
        - insight
      summary: Chat Message
      operationId: chat_message_insight__rec_id__chat__post
      parameters:
        - name: rec_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Rec Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Controllers__models__requests__ChatRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Controllers__models__requests__ChatRequest:
      properties:
        message:
          type: string
          maxLength: 1000
          title: Message
        search_settings:
          $ref: '#/components/schemas/SearchSettings'
        thread_id:
          type: integer
          title: Thread Id
          default: 1
      type: object
      required:
        - search_settings
      title: ChatRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SearchSettings:
      properties:
        search_scope:
          $ref: '#/components/schemas/SearchScope'
        use_web:
          type: boolean
          title: Use Web
      type: object
      required:
        - search_scope
        - use_web
      title: SearchSettings
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SearchScope:
      type: string
      enum:
        - all
        - transcript
        - report
      title: SearchScope
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````